﻿.contact-box{
    width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
}
.contact-all-box{
    width: 700px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding: 80px 0;
}
.contact-box .index-activity-title-ch{
    margin-bottom: 0;
}
.contact-form-list-title{
    font-size: 18px;
    color: #000;
    font-family: "Noto Serif TC";
    font-weight: 300;
    letter-spacing: 0.06em;
    margin-bottom: 5px;
}

.contact-info-form{
    margin-top: 50px;
}
.contact-form-list{
    margin-top: 40px;
}
.contact-form-text{
    width: 100%;
    height: 50px;
    line-height: 50px;
    display: block;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    background-color: #f7f5ee;
    letter-spacing: 0.06em;
    padding: 0 15px;
    font-size: 14px;
}
.contact-form-list-textarea{
    width: 100%;
    height: 200px;
    display: block;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    background-color: #f7f5ee;
    letter-spacing: 0.06em;
    padding: 15px;
    font-size: 14px;
    resize: none;
    outline: none;
}
.contact-form-text::-webkit-input-placeholder,
.contact-form-list-textarea::-webkit-input-placeholder{
    font-family: "微軟正黑體";
    color: #888;
}
.contact-form-text:-moz-placeholder,
.contact-form-list-textarea:-moz-placeholder{
    font-family: "微軟正黑體";
    color: #888;
}
.contact-form-text::-moz-placeholder,
.contact-form-list-textarea::-moz-placeholder{
    font-family: "微軟正黑體";
    color: #888;
}

/*--------contact共用-----------*/

.contact-form-list-title span{
    color: #c71313;
}

.button{
    margin-top: 40px;
}
button{
    font-family: "微軟正黑體","Microsoft JhengHei";
}

.button button::after{
    content: '';
    width: 0%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #3f3437;
    transition: all .3s linear;
}
.button button{
    width: 320px;
    margin: 0 auto;
    display: block;
    border: 1px solid #000;
    background-color: #fff;
    box-sizing: border-box;
    padding: 0;
    cursor: pointer;
    position: relative;
}
.button button>p{
    font-size: 20px;
    color: #000;
    font-family: "Noto Serif TC";
    font-weight: 500;
    letter-spacing: 0.06em;
    line-height: 78px;
    position: relative;
    z-index: 1;
    transition: all .3s linear;
}
.button button span{
    width: 25px;
    height: 2px;
    display: block;
    background-color: #000;
    border-radius: 2px;
    position: absolute;
    top: calc(50% - 1px);
    right: 25px;
    z-index: 1;
    transition: all .3s linear;
}

.button button span::before{
    content: '';
    width: 13px;
    height: 2px;
    background-color: #000;
    border-radius: 2px;
    display: block;
    position: absolute;
    right: -2px;
    top: -4px;
    transform: rotateZ(45deg);
    transition: all .3s linear;
}
.button button span::after{
    content: '';
    width: 13px;
    height: 2px;
    background-color: #000;
    border-radius: 2px;
    display: block;
    position: absolute;
    right: -2px;
    top: 4px;
    transform: rotateZ(-45deg);
    transition: all .3s linear;
}


.contact-form-select{
    width: 100%;
    height: 50px;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    background-color: #f7f5ee;
    display: block;
    letter-spacing: 0.06em;
    padding: 0 15px;
    padding-right: 25px;
    color: #888;
    position: relative;
    -webkit-appearance: none; /*Chrome*/
    -moz-appearance: none; /*FF*/
    appearance: none;/*CSS3*/
    font-family: "微軟正黑體";
    font-size: 14px;
}
.contact-form-select-box{
    position: relative;
}
.contact-form-select-box:after{
    content: '\f107';
    font-family: "Font Awesome 5 Free";
    font-weight: bold;
    font-size: 18px;
    position: absolute;
    right: 20px;
    top: calc(50% - 14px);
    pointer-events: none;
}

/*表單送出*/
.contact-thanks-box{
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    display: none;
}
.contact-thanks-box.active{
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
    display: -webkit-flex;
    display: flex;
}
.contact-thanks{
    max-width: 500px;
    min-width: 200px;
    width: 400px;
    padding: 40px 30px;
    box-sizing: border-box;
    background-color: #fff;
    position: relative;
    z-index: 1;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);
}
.contact-thanks-p{
    font-size: 16px;
    color: #555;
    transform: scaleY(1.05);
    letter-spacing:  1px;
    line-height: 2;   
}
.contact-out{
    width: 21px;
    height: 21px;
    max-width: 100%;
    display: block;
    position: absolute;
    border-radius: 50%;
    top: 5px;
    right: 5px;
    cursor: pointer;
}
.contact-out span{
    width: 15px;
    height: 1px;
    background-color: #888;
    display: block;
    margin: 0 auto;
    position: relative;
}
.contact-out span:nth-child(1){
    top: 10px;
    left: 0px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2){
    top: 9px;
    left: 0px;
    transform: rotate(-45deg);
}


.contact-form-text:focus,
.contact-form-list-textarea:focus{
    border-color: #a18873;
}
.button button:hover::after{
    width: 100%;
}
.button button:hover p{
    color: #fff;
    border-color: #3f3437;
}
.button button:hover span{
    background-color: #fff;
}
.button button:hover span:before,
.button button:hover span:after{
    background-color: #fff;
}










@media only screen and (max-width: 750px){
    .contact-all-box{
        width: 95%;
        padding: 40px 0;
    }
}
@media only screen and (max-width: 550px){
    .contact-info-form{
        margin-top: 0;
    }
    .contact-form-list{
        margin-top: 20px;
    }
    .contact-form-list-title{
        font-size: 14px;
    }
    .contact-form-text{
        height: 40px;
        line-height: 40px;
        font-size: 12px;
        padding: 0 10px;
    }
    .contact-form-select{
        height: 40px;
        padding: 0 10px;
        font-size: 12px;
    }
    #twzipcode select,
    #twzipcode input{
        height: 40px;
        line-height: 40px;
        font-size: 12px;
        padding: 0 5px;
    }
    .contact-form-list-textarea{
        height: 100px;
        padding: 10px;
        font-size: 12px;
    }
    .button button{
        width: 220px;
        line-height: 40px;
        font-size: 14px;
    }
    .button{
        margin-top: 20px;
    }
    .button button span {
        width: 15px;
    }
    .button button span::before{
        width: 8px;
        top: -2px;
    }
    .button button span::after {
        width: 8px;
        top: 2px;
    }
}
@media only screen and (max-width: 480px){
    .contact-all-box{
        padding: 20px 0;
    }
    .contact-thanks, .alert-info{
        width: 95%;
        box-sizing: border-box;
        margin: 0 auto;
    }
    .contact-thanks-p{
        font-size: 20px;
    }
}






/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .contact-form-list,
    .button button{
        opacity: 0;
    }
    .contact-form-list.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .button.anima button{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
}
